# Contributing

You can contribute by:

* Raising any issues you find using Strimzi
* Fixing issues by opening Pull Requests
* Improving documentation
* Talking about Strimzi

All bugs, tasks or enhancements are tracked as [GitHub issues][issues]. Issues which might be a good start for new contributors are marked with the [“good-start”][newbie-issues] label.

The [developer quick start guide][dev-quick-start] describes how to quickly get setup to build Strimzi from source.

The [hacking guide][hacking-guide] describes in more detail the various ways you can build Strimzi and how to test your changes before submitting a patch or opening a pull request.

The [release checklist][release-list] describes the steps that need to be completed for a new version release.

The [documentation contributor guide][doc-contrib-guide] describes how to contribute to Strimzi documentation.

If you want to get in touch with us first before contributing, you can use:

- [#strimzi channel on CNCF Slack](https://slack.cncf.io/)
- [Strimzi Dev mailing list](https://lists.cncf.io/g/cncf-strimzi-dev/topics)

[issues]: https://github.com/strimzi/strimzi-kafka-operator/issues
[newbie-issues]: https://github.com/strimzi/strimzi-kafka-operator/labels/good-start
[hacking-guide]: https://github.com/strimzi/strimzi-kafka-operator/blob/master/HACKING.md
[dev-quick-start]: https://github.com/strimzi/strimzi-kafka-operator/blob/master/DEV_QUICK_START.md
[release-list]: https://github.com/strimzi/strimzi-kafka-operator/blob/master/RELEASE.md
[doc-contrib-guide]: https://strimzi.io/contributing/guide/
